# MENU - Menu List

Syntax | <MENU>...</MENU>

Attribute Specifications

- COMPACT (compact display)
- common attributes

Contents | One or more LI elements that cannot contain block-level elements
Contained in | APPLET, BLOCKQUOTE, BODY, BUTTON, CENTER, DD, DEL, DIV, FIELDSET, FORM, IFRAME, INS, LI, MAP, NOFRAMES, NOSCRIPT, OBJECT, TD, TH

The MENU element defines a menu list. The element contains one or more LI elements that define the actual items of the list. The LI elements must not contain block-level elements, which prevents MENUs from being nested.

The COMPACT attribute suggests that visual browsers render the list compactly, perhaps with reduced spacing between items. This attribute is not well supported among browsers.

MENU is deprecated in HTML 4.0 in favor of UL.

## More Information

- MENU in W3C HTML 4.0 Recommendation
- MENU in W3C HTML 3.2 Recommendation
- MENU in HTML 2.0 Standard
- MENU in WDG HTML 3.2 Reference
- MENU in Learning HTML 3.2 by Examples